import QtQuick 1.1

MyFrame {
    id: root
    Flickable {
        anchors.fill: parent
        contentWidth: parent.width
        contentHeight: helpContent.height
        maximumFlickVelocity: 500
        Column {
            id: helpContent
            width: parent.width - 32
            x: 16
            Text {
                anchors.horizontalCenter: parent.horizontalCenter
                verticalAlignment: Text.AlignBottom
                height: 140
                font.pixelSize: fontSizeXL
                color: "#ffffff"
                text: "The Game"
            }
            Text {
                width: parent.width
                font.pixelSize: fontSizeM
                color: "#ffffff"
                wrapMode: Text.WordWrap
                horizontalAlignment: Text.AlignHCenter
                text: "<br>You have a cookie. Bugs want it. So there is absolutely no other alternative than to...<br>"
            }
            Text {
                width: parent.width
                font.pixelSize: fontSizeL
                color: "#ffffff"
                wrapMode: Text.WordWrap
                horizontalAlignment: Text.AlignHCenter
                text: "<b>Smoke the Bugs!</b>"
            }
            Image {
                anchors.horizontalCenter: parent.horizontalCenter
                source: "images/separator.png"
            }
            Text {
                width: parent.width
                font.pixelSize: fontSizeM
                color: "#ffffff"
                wrapMode: Text.WordWrap
                horizontalAlignment: Text.AlignHCenter
                text: "In the grass level you are disturbed by ants and ladybugs. Also worms appear sometimes to check what's up and although they don't steal your cookie, feel free to <b>smoke them</b> too."
            }
            Image {
                anchors.horizontalCenter: parent.horizontalCenter
                source: "images/separator.png"
            }
            Text {
                width: parent.width
                font.pixelSize: fontSizeM
                color: "#ffffff"
                wrapMode: Text.WordWrap
                horizontalAlignment: Text.AlignHCenter
                text: "In the sand level ants are teaming up with beetles, those creepy cookie biters. Yes, <b>smoke them</b>. And watch out what night brings up from the sand caves..."
            }
            Image {
                anchors.horizontalCenter: parent.horizontalCenter
                source: "images/separator.png"
            }
            Text {
                width: parent.width
                font.pixelSize: fontSizeM
                color: "#ffffff"
                wrapMode: Text.WordWrap
                horizontalAlignment: Text.AlignHCenter
                text: "Ah, during the nighttime you are carrying a high-tech laser magnifier with night vision. Yeah, what wouldn't we do to be able to <b>smoke bugs</b> also when sun is not shining."
            }
            Image {
                anchors.horizontalCenter: parent.horizontalCenter
                source: "images/separator.png"
            }
            Text {
                width: parent.width
                font.pixelSize: fontSizeM
                color: "#ffffff"
                wrapMode: Text.WordWrap
                horizontalAlignment: Text.AlignHCenter
                text: "<b>Note:</b> No real bugs were killed while developing this game. Let's leave it so and smoke them only virtually, thanks!"
            }
            Image {
                anchors.horizontalCenter: parent.horizontalCenter
                source: "images/separator.png"
            }
            Text {
                width: parent.width
                font.pixelSize: fontSizeS
                color: "#ffffff"
                wrapMode: Text.WordWrap
                horizontalAlignment: Text.AlignHCenter
                text: "<br>Smoke the Bugs v1.0<br>Copyright 2012 QUIt Coding.<br><i>info@quitcoding.com</i><br><br>Music: DanoSongs<br>(http://www.danosongs.com)<br>"
            }
            Text {
                width: parent.width
                font.pixelSize: fontSizeM
                color: "#ffffff"
                wrapMode: Text.WordWrap
                horizontalAlignment: Text.AlignHCenter
                text: "<br><br><br><br><br><br><br><br>Why are you still reading this? Those bugs don't smoke themselves you know!<br><br><br><br><br><br><br><br>"
            }
            Text {
                width: parent.width
                font.pixelSize: fontSizeM
                color: "#ffffff"
                wrapMode: Text.WordWrap
                horizontalAlignment: Text.AlignHCenter
                text: "<b>SMOKE THE BUGS NOW!</b><br>"
            }
        }
    }
}
