import QtQuick 1.1

Item {
    id: root

    property alias textLeft: textLeftItem.text
    property alias textRight: textRightItem.text

    width: parent.width - 16
    x: 8

    Row {
        width: parent.width - 16
        x: 8
        anchors.verticalCenter: parent.verticalCenter
        Text {
            id: textLeftItem
            width: parent.width * 0.7
            font.pixelSize: fontSizeL
            color: "#ffffff"
        }
        Text {
            id: textRightItem
            width: parent.width * 0.3
            font.pixelSize: fontSizeL
            color: "#ffffff"
            horizontalAlignment: Text.AlignRight
        }
    }
}
