import QtQuick 1.1

// This helper loads source directly and unloads with opacity fading effect

Loader {
    id: root

    anchors.fill: parent

    Behavior on source {
        SequentialAnimation {
            PropertyAnimation {
                target: root
                property: "opacity"
                to: root.source == ""
                duration: root.source == "" ? 0 : 250
            }
            PropertyAction {
                target: root
                property: "source"
            }
        }
    }
}
