import QtQuick 1.1

Image {
    id: root

    property real centerPosX: (root.x + 27 + magnifierGlass.width/2) / mainView.width
    property real centerPosY: (root.y + 27 + magnifierGlass.height/2) / mainView.height

    source: "images/mag1.png"

    // TODO: This could be fun, would shader work with it?
    //transform: Rotation { origin.x: root.width * 0.8; origin.y: magnifier.height * 0.6; angle: root.x * 0.1}

    smooth: true
    scale: graphicsScale

    Image {
        id: magnifierGlass
        anchors.left: root.left
        anchors.leftMargin: 27
        anchors.top: root.top
        anchors.topMargin: 27
        source: "images/mag_glass1.png"
    }

    MagnifierEffect {
        anchors.fill: magnifierGlass
    }
}
