import QtQuick 1.1

Rectangle {
    id: root

    default property alias content: stack.children

    width: parent ? parent.width - 12 : 0
    height: parent ? parent.height * 0.88 - 16 : 0
    x: 6
    y: 6
    color: "#000000"
    border.width: 1
    border.color: "#606060"
    opacity: 0
    Component.onCompleted: {
        root.opacity = 0.9
    }

    MouseArea {
        anchors.fill: parent
        onPressed: {}
    }

    Behavior on opacity {
        NumberAnimation { duration: 250 }
    }

    Item {
        id: stack
        anchors.fill: parent
        anchors.margins: 2
        clip: true
    }
}
